summaryrefslogtreecommitdiff
path: root/buildbot/top_reserve.sh
diff options
context:
space:
mode:
Diffstat (limited to 'buildbot/top_reserve.sh')
-rwxr-xr-xbuildbot/top_reserve.sh8
1 files changed, 3 insertions, 5 deletions
diff --git a/buildbot/top_reserve.sh b/buildbot/top_reserve.sh
index 0c1e5d1..fff605d 100755
--- a/buildbot/top_reserve.sh
+++ b/buildbot/top_reserve.sh
@@ -1,11 +1,9 @@
#!/bin/bash
-source "${HOME}/activate"
-ACTIVE_COLOR="$(cat /home/test/active)"
-
-if ! test "${TALER_ENV_COLOR}" = "${ACTIVE_COLOR}"; then
- echo "I'm the inactive color (${TALER_ENV_COLOR}), will not top the reserve up!"
+if ! test "$(whoami)" = "$(cat /home/test/active)"; then
+ echo "I'm the inactive color, will not top the reserve up!"
exit 0
fi
+source "${HOME}/activate"
taler-deployment-top-reserve